﻿package de.maxmaurer.FlashGameCommunicator {
	/**
	* FlashGameCommunicator - Helper class
	* This helper class contains method that are needed throughtout 
	* the whole FlashGameCommunictor. They are not called from outside.
	*/
	class Helper {
		/** 
		* Escapes a given message by replacing all
		* Semikolons (;) with the escape version (\;).
		* Since that denotes \ as an escape character
		* all backslashes are escaped to \\ as well.
		* @param message A message to be escaped
		*/
		static function escapeMessage(message:String):String {
			var myPattern:RegExp = /\\/g;
			message=message.replace(myPattern,"\\\\");
			myPattern = /;/g;
			message=message.replace(myPattern,"\\;");
			return message;
		}
		
		/**
		* Undos the escaping done by escapeMessage.
		* @param message A message to be unescaped
		* @see Helper#escapeMessage
		*/
		static function unescapeMessage(message:String):String {
			var myPattern:RegExp = /\\;/g;
			message=message.replace(myPattern,';');
			myPattern = /\\\\/g;
			message=message.replace(myPattern,"\\");
			return message;
		}
	}
}